Index: /atk1_sh2/trunk/config/sh2-gnu/cpu.tf
===================================================================
--- /atk1_sh2/trunk/config/sh2-gnu/cpu.tf	(revision 6)
+++ /atk1_sh2/trunk/config/sh2-gnu/cpu.tf	(revision 6)
@@ -0,0 +1,150 @@
+$ 
+$  TOPPERS Automotive Kernel
+$      Toyohashi Open Platform for Embedded Real-Time Systems
+$      Automotive Kernel
+$ 
+$  Copyright (C) 2010 by asuka
+$ 
+$  上記著作権者は，以下の (1)〜(4) の条件か，Free Software Foundation 
+$  によって公表されている GNU General Public License の Version 2 に記
+$  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+$  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+$  利用と呼ぶ）することを無償で許諾する．
+$  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+$      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+$      スコード中に含まれていること．
+$  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+$      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+$      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+$      の無保証規定を掲載すること．
+$  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+$      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+$      と．
+$    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+$        作権表示，この利用条件および下記の無保証規定を掲載すること．
+$    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+$        報告すること．
+$  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+$      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+$ 
+$  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+$  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+$  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+$  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
+$ 
+
+$ 
+$ SH2-GNU環境依存部テンプレートファイル
+$ 
+
+$FILE "kernel_cfg.c"$
+
+$ 
+$ ISRの外部参照宣言出力
+$ 
+$ その後の処理に必要な変数も作っておく．
+$ 
+
+$ISR1_EXTERNAL_STRING = ""$
+$ISR2_EXTERNAL_STRING = ""$
+$ISR1_ENTRY_STRING = ""$
+$ISR2_ENTRY_STRING = ""$
+$USED_INTNO = {}$
+$INTNO_TO_HDRSYMBOL = {}$
+$COUNT = 0$
+
+$FOREACH isrid ISR.ID_LIST$
+	$IF EQ(ISR.CATEGORY[isrid] , "1")$
+		$ISR1_EXTERNAL_STRING = 
+			CONCAT(ISR1_EXTERNAL_STRING , FORMAT("ISR1_EXTERNAL(%1%);\n" , isrid))$
+		$ISR1_ENTRY_STRING = 
+			CONCAT(ISR1_ENTRY_STRING , FORMAT("ISR1_ENTRY(%1%);\n" , isrid))$
+ 		$INTNO_TO_HDRSYMBOL[+ISR.ENTRY[isrid]] = FORMAT("ISR1_SYMBOL(%1%)" , isrid)$
+	$ELSE$
+		$ISR2_EXTERNAL_STRING = 
+			CONCAT(ISR2_EXTERNAL_STRING , FORMAT("ISR2_EXTERNAL(%1%);\n" , isrid))$
+		$ISR2_ENTRY_STRING = 
+			CONCAT(ISR2_ENTRY_STRING , FORMAT("ISR2_ENTRY(%1% , (%2%));\n" , isrid , COUNT))$
+		$INTNO_TO_HDRSYMBOL[+ISR.ENTRY[isrid]] = FORMAT("ISR2_SYMBOL(%1%)" , isrid)$
+		$COUNT = COUNT + 1$
+	$END$
+$ 使用している割込み番号と対応するシンボルをリスト化
+	$USED_INTNO = APPEND(USED_INTNO , +ISR.ENTRY[isrid])$
+$END$
+
+/* 割込み入り口処理関数の外部参照定義 */$NL$
+$ISR1_EXTERNAL_STRING$
+$ISR2_EXTERNAL_STRING$
+
+$NL$
+
+/* 割込み入り口処理関数 */$NL$
+$ISR1_ENTRY_STRING$
+$ISR2_ENTRY_STRING$
+
+$NL$
+
+$ 割込みベクタに登録されるその他の割込みハンドラの外部参照
+/* スタートアップ関数の外部参照定義 */$NL$
+extern void start(void);$NL$
+$NL$
+/* 未使用割込みの外部参照定義 */$NL$
+UNUSED_INT_EXTERNAL();$NL$
+$NL$
+
+/* 割込みベクタテーブル */$NL$
+typedef void (*inthandler)(void);$NL$
+
+$NL$
+$NL$
+
+const inthandler inthandler_table[256] __attribute((section (".vector"))) =$NL$
+{$NL$
+$ 固定部分の出力
+	$TAB$start					/* $INT_VECTOR_INFO[0]$ */ ,$NL$
+	$TAB$(inthandler)STACK_TOP	/* $INT_VECTOR_INFO[1]$ */ ,$NL$
+	$TAB$start					/* $INT_VECTOR_INFO[2]$ */ ,$NL$
+	$TAB$(inthandler)STACK_TOP	/* $INT_VECTOR_INFO[3]$ */ ,$NL$
+
+$JOINEACH intno ISR_ENTRY_LIST " , \n"$
+	$TAB$
+	$IF LENGTH(FIND(USED_INTNO , intno))$
+ 		$INTNO_TO_HDRSYMBOL[+intno]$	/* $INT_VECTOR_INFO[intno]$ */
+	$ELSE$
+	$IF intno == 8$
+		(inthandler)(0xC91F0606)
+	$ELSE$
+		UNUSED_INT_SYMBOL()	/* $INT_VECTOR_INFO[intno]$ */
+	$END$
+	$END$
+$END$
+$NL$
+};$NL$
+
+$NL$
+
+$ フックルーチンが未定義の場合のNULL定義
+/* フックルーチンが未定義の場合のNULL定義 */$NL$
+$IF EQ(OS.STARTUPHOOK[0] , "FALSE")$
+	NULL_STARTUPHOOK$NL$
+$END$
+
+$IF EQ(OS.SHUTDOWNHOOK[0] , "FALSE")$
+	NULL_SHUTDOWNHOOK$NL$
+$END$
+
+$IF EQ(OS.ERRORHOOK[0] , "FALSE")$
+	NULL_ERRORHOOK$NL$
+$END$
+
+$IF EQ(OS.PRETASKHOOK[0] , "FALSE")$
+	NULL_PRETASKHOOK$NL$
+$END$
+
+$IF EQ(OS.POSTTASKHOOK[0] , "FALSE")$
+	NULL_POSTTASKHOOK$NL$
+$END$
+
+$NL$
+
+
Index: /atk1_sh2/trunk/config/sh2-gnu/cpu_support.S
===================================================================
--- /atk1_sh2/trunk/config/sh2-gnu/cpu_support.S	(revision 5)
+++ /atk1_sh2/trunk/config/sh2-gnu/cpu_support.S	(revision 6)
@@ -268,4 +268,11 @@
 	mov		#1 , r2
 	mov.l	r2 , @r8
+	/* CPUbNóÔÉ */
+	xor		r0 , r0
+	mov.l	_intmask_adr , r1
+	mov.l	r0 , @r1
+	mov.l	_lock_flag_adr , r1
+	mov		#1 , r0
+	mov.l	r0 , @r1
 	bra		_start_dispatch		/* fBXpb`Ö */
 	nop
@@ -296,5 +303,5 @@
 	mov.l	ret_int_r_adr , r2		/* ßèÔnðret_int_rÉÝè */
 	mov.l	r2 , @(r0 , r1)			/* X^bN|C^ðÛ¶ */
-	/* CPUbNóÔÉÉ */
+	/* CPUbNóÔÉ */
 	xor		r0 , r0
 	mov.l	_intmask_adr , r1
Index: /atk1_sh2/trunk/config/sh2-gnu/cq7144a/sys.tf
===================================================================
--- /atk1_sh2/trunk/config/sh2-gnu/cq7144a/sys.tf	(revision 6)
+++ /atk1_sh2/trunk/config/sh2-gnu/cq7144a/sys.tf	(revision 6)
@@ -0,0 +1,301 @@
+$ 
+$  TOPPERS Automotive Kernel
+$      Toyohashi Open Platform for Embedded Real-Time Systems
+$      Automotive Kernel
+$ 
+$  Copyright (C) 2010 by Meika Sugimoto
+$ 
+$  上記著作権者は，以下の (1)〜(4) の条件か，Free Software Foundation 
+$  によって公表されている GNU General Public License の Version 2 に記
+$  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+$  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+$  利用と呼ぶ）することを無償で許諾する．
+$  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+$      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+$      スコード中に含まれていること．
+$  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+$      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+$      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+$      の無保証規定を掲載すること．
+$  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+$      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+$      と．
+$    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+$        作権表示，この利用条件および下記の無保証規定を掲載すること．
+$    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+$        報告すること．
+$  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+$      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+$ 
+$  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+$  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+$  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+$  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
+$ 
+
+$ 
+$ SH7144F用の定義ファイル
+$ 
+$ 生成はSH2共通でよいため，SH7144独自に生成する情報はない．
+$ ただし，割込み要因及びベクタ番号，ベクタテーブルオフセットは
+$ 他の機種と異なるため，コメントとして出力情報を定義する．
+$ 
+
+$INT_VECTER_INFO = {}$
+
+$INT_VECTOR_INFO[0] =   "0   パワーオンリセット"$
+$INT_VECTOR_INFO[1] =   "1   初期スタック位置"$
+$INT_VECTOR_INFO[2] =   "2   マニュアルリセット"$
+$INT_VECTOR_INFO[3] =   "3   初期スタック位置"$
+$INT_VECTOR_INFO[4] =   "4   +0x0010 一般不当命令"$
+$INT_VECTOR_INFO[5] =   "5   +0x0014 システム予約"$
+$INT_VECTOR_INFO[6] =   "6   +0x0018 スロット不当"$
+$INT_VECTOR_INFO[7] =   "7   +0x001C システム予約"$
+$INT_VECTOR_INFO[8] =   "8   +0x0020 システム予約"$
+$INT_VECTOR_INFO[9] =   "9   +0x0024 CPU/AUD ADDR"$
+$INT_VECTOR_INFO[10] =  "10  +0x0028 DMAC/DTC ADD"$
+$INT_VECTOR_INFO[11] =  "11  +0x002C NMI"$
+$INT_VECTOR_INFO[12] =  "12  +0x0030 ユーザブレー"$
+$INT_VECTOR_INFO[13] =  "13  +0x0034 システム予約"$
+$INT_VECTOR_INFO[14] =  "14  +0x0038 H-UDI"$
+$INT_VECTOR_INFO[15] =  "15  +0x003C システム予約"$
+$INT_VECTOR_INFO[16] =  "16  +0x0040 システム予約"$
+$INT_VECTOR_INFO[17] =  "17  +0x0044 システム予約"$
+$INT_VECTOR_INFO[18] =  "18  +0x0048 システム予約"$
+$INT_VECTOR_INFO[19] =  "19  +0x004C システム予約"$
+$INT_VECTOR_INFO[20] =  "20  +0x0050 システム予約"$
+$INT_VECTOR_INFO[21] =  "21  +0x0054 システム予約"$
+$INT_VECTOR_INFO[22] =  "22  +0x0058 システム予約"$
+$INT_VECTOR_INFO[23] =  "23  +0x005C システム予約"$
+$INT_VECTOR_INFO[24] =  "24  +0x0060 システム予約"$
+$INT_VECTOR_INFO[25] =  "25  +0x0064 システム予約"$
+$INT_VECTOR_INFO[26] =  "26  +0x0068 システム予約"$
+$INT_VECTOR_INFO[27] =  "27  +0x006C システム予約"$
+$INT_VECTOR_INFO[28] =  "28  +0x0070 システム予約"$
+$INT_VECTOR_INFO[29] =  "29  +0x0074 システム予約"$
+$INT_VECTOR_INFO[30] =  "30  +0x0078 システム予約"$
+$INT_VECTOR_INFO[31] =  "31  +0x007C システム予約"$
+$INT_VECTOR_INFO[32] =  "32  +0x0080 トラップ命令"$
+$INT_VECTOR_INFO[33] =  "33  +0x0084 トラップ命令"$
+$INT_VECTOR_INFO[34] =  "34  +0x0088 トラップ命令"$
+$INT_VECTOR_INFO[35] =  "35  +0x008C トラップ命令"$
+$INT_VECTOR_INFO[36] =  "36  +0x0090 トラップ命令"$
+$INT_VECTOR_INFO[37] =  "37  +0x0094 トラップ命令"$
+$INT_VECTOR_INFO[38] =  "38  +0x0098 トラップ命令"$
+$INT_VECTOR_INFO[39] =  "39  +0x009C トラップ命令"$
+$INT_VECTOR_INFO[40] =  "40  +0x00A0 トラップ命令"$
+$INT_VECTOR_INFO[41] =  "41  +0x00A4 トラップ命令"$
+$INT_VECTOR_INFO[42] =  "42  +0x00A8 トラップ命令"$
+$INT_VECTOR_INFO[43] =  "43  +0x00AC トラップ命令"$
+$INT_VECTOR_INFO[44] =  "44  +0x00B0 トラップ命令"$
+$INT_VECTOR_INFO[45] =  "45  +0x00B4 トラップ命令"$
+$INT_VECTOR_INFO[46] =  "46  +0x00B8 トラップ命令"$
+$INT_VECTOR_INFO[47] =  "47  +0x00BC トラップ命令"$
+$INT_VECTOR_INFO[48] =  "48  +0x00C0 トラップ命令"$
+$INT_VECTOR_INFO[49] =  "49  +0x00C4 トラップ命令"$
+$INT_VECTOR_INFO[50] =  "50  +0x00C8 トラップ命令"$
+$INT_VECTOR_INFO[51] =  "51  +0x00CC トラップ命令"$
+$INT_VECTOR_INFO[52] =  "52  +0x00D0 トラップ命令"$
+$INT_VECTOR_INFO[53] =  "53  +0x00D4 トラップ命令"$
+$INT_VECTOR_INFO[54] =  "54  +0x00D8 トラップ命令"$
+$INT_VECTOR_INFO[55] =  "55  +0x00DC トラップ命令"$
+$INT_VECTOR_INFO[56] =  "56  +0x00E0 トラップ命令"$
+$INT_VECTOR_INFO[57] =  "57  +0x00E4 トラップ命令"$
+$INT_VECTOR_INFO[58] =  "58  +0x00E8 トラップ命令"$
+$INT_VECTOR_INFO[59] =  "59  +0x00EC トラップ命令"$
+$INT_VECTOR_INFO[60] =  "60  +0x00F0 トラップ命令"$
+$INT_VECTOR_INFO[61] =  "61  +0x00F4 トラップ命令"$
+$INT_VECTOR_INFO[62] =  "62  +0x00F8 トラップ命令"$
+$INT_VECTOR_INFO[63] =  "63  +0x00FC トラップ命令"$
+$INT_VECTOR_INFO[64] =  "64  +0x0100 IPRA15-IPRA1"$
+$INT_VECTOR_INFO[65] =  "65  +0x0104 IPRA11-IPRA8"$
+$INT_VECTOR_INFO[66] =  "66  +0x0108 IPRA7-IPRA4 "$
+$INT_VECTOR_INFO[67] =  "67  +0x010C IPRA3-IPRA0 "$
+$INT_VECTOR_INFO[68] =  "68  +0x0110 IPRB15-IPRB1"$
+$INT_VECTOR_INFO[69] =  "69  +0x0114 IPRB11-IPRB8"$
+$INT_VECTOR_INFO[70] =  "70  +0x0118 IPRB7-IPRB4 "$
+$INT_VECTOR_INFO[71] =  "71  +0x011C IPRB3-IPRB0 "$
+$INT_VECTOR_INFO[72] =  "72  +0x0120 IPRC15-IPRC1"$
+$INT_VECTOR_INFO[73] =  "73  +0x0124"$
+$INT_VECTOR_INFO[74] =  "74  +0x0128"$
+$INT_VECTOR_INFO[75] =  "75  +0x012C"$
+$INT_VECTOR_INFO[76] =  "76  +0x0130 IPRC11-IPRC8"$
+$INT_VECTOR_INFO[77] =  "77  +0x0134"$
+$INT_VECTOR_INFO[78] =  "78  +0x0138"$
+$INT_VECTOR_INFO[79] =  "79  +0x013C"$
+$INT_VECTOR_INFO[80] =  "80  +0x0140 IPRC7-IPRC4 "$
+$INT_VECTOR_INFO[81] =  "81  +0x0144"$
+$INT_VECTOR_INFO[82] =  "82  +0x0148"$
+$INT_VECTOR_INFO[83] =  "83  +0x014C"$
+$INT_VECTOR_INFO[84] =  "84  +0x0150 IPRC3-IPRC0 "$
+$INT_VECTOR_INFO[85] =  "85  +0x0154"$
+$INT_VECTOR_INFO[86] =  "86  +0x0158"$
+$INT_VECTOR_INFO[87] =  "87  +0x015C"$
+$INT_VECTOR_INFO[88] =  "88  +0x0160 IPRD15-IPRD1"$
+$INT_VECTOR_INFO[89] =  "89  +0x0164 IPRD15-IPRD1"$
+$INT_VECTOR_INFO[90] =  "90  +0x0168 IPRD15-IPRD1"$
+$INT_VECTOR_INFO[91] =  "91  +0x016C IPRD15-IPRD1"$
+$INT_VECTOR_INFO[92] =  "92  +0x0170 IPRD11-IPRD8"$
+$INT_VECTOR_INFO[93] =  "93  +0x0174"$
+$INT_VECTOR_INFO[94] =  "94  +0x0178"$
+$INT_VECTOR_INFO[95] =  "95  +0x017C"$
+$INT_VECTOR_INFO[96] =  "96  +0x0180 IPRD7-IPRD4 "$
+$INT_VECTOR_INFO[97] =  "97  +0x0184 IPRD7-IPRD4 "$
+$INT_VECTOR_INFO[98] =  "98  +0x0188"$
+$INT_VECTOR_INFO[99] =  "99  +0x018C"$
+$INT_VECTOR_INFO[100] = "100 +0x0190 IPRD3-IPRD0 "$
+$INT_VECTOR_INFO[101] = "101 +0x0194 IPRD3-IPRD0 "$
+$INT_VECTOR_INFO[102] = "102 +0x0198"$
+$INT_VECTOR_INFO[103] = "103 +0x019C"$
+$INT_VECTOR_INFO[104] = "104 +0x01A0 IPRE15-IPRE1"$
+$INT_VECTOR_INFO[105] = "105 +0x01A4 IPRE15-IPRE1"$
+$INT_VECTOR_INFO[106] = "106 +0x01A8"$
+$INT_VECTOR_INFO[107] = "107 +0x01AC"$
+$INT_VECTOR_INFO[108] = "108 +0x01B0 IPRE11-IPRE8"$
+$INT_VECTOR_INFO[109] = "109 +0x01B4 IPRE11-IPRE8"$
+$INT_VECTOR_INFO[110] = "110 +0x01B8"$
+$INT_VECTOR_INFO[111] = "111 +0x01BC"$
+$INT_VECTOR_INFO[112] = "112 +0x01C0 IPRE7-IPRE4 "$
+$INT_VECTOR_INFO[113] = "113 +0x01C4 IPRE7-IPRE4 "$
+$INT_VECTOR_INFO[114] = "114 +0x01C8 IPRE7-IPRE4 "$
+$INT_VECTOR_INFO[115] = "115 +0x01CC IPRE7-IPRE4 "$
+$INT_VECTOR_INFO[116] = "116 +0x01D0 IPRE3-IPRE0 "$
+$INT_VECTOR_INFO[117] = "117 +0x01D4"$
+$INT_VECTOR_INFO[118] = "118 +0x01D8"$
+$INT_VECTOR_INFO[119] = "119 +0x01DC"$
+$INT_VECTOR_INFO[120] = "120 +0x01E0 IPRF15-IPRF1"$
+$INT_VECTOR_INFO[121] = "121 +0x01E4 IPRF15-IPRF1"$
+$INT_VECTOR_INFO[122] = "122 +0x01E8 IPRF15-IPRF1"$
+$INT_VECTOR_INFO[123] = "123 +0x01EC IPRF15-IPRF1"$
+$INT_VECTOR_INFO[124] = "124 +0x01F0 IPRF11-IPRF8"$
+$INT_VECTOR_INFO[125] = "125 +0x01F4"$
+$INT_VECTOR_INFO[126] = "126 +0x01F8"$
+$INT_VECTOR_INFO[127] = "127 +0x01FC"$
+$INT_VECTOR_INFO[128] = "128 +0x0200 IPRF7-IPRF4 "$
+$INT_VECTOR_INFO[129] = "129 +0x0204 IPRF7-IPRF4 "$
+$INT_VECTOR_INFO[130] = "130 +0x0208 IPRF7-IPRF4 "$
+$INT_VECTOR_INFO[131] = "131 +0x020C IPRF7-IPRF4 "$
+$INT_VECTOR_INFO[132] = "132 +0x0210 IPRF3-IPRF0 "$
+$INT_VECTOR_INFO[133] = "133 +0x0214 IPRF3-IPRF0 "$
+$INT_VECTOR_INFO[134] = "134 +0x0218 IPRF3-IPRF0 "$
+$INT_VECTOR_INFO[135] = "135 +0x021C IPRF3-IPRF0 "$
+$INT_VECTOR_INFO[136] = "136 +0x0220 IPRG15-IPRG1"$
+$INT_VECTOR_INFO[137] = "137 +0x0224 IPRG15-IPRG1"$
+$INT_VECTOR_INFO[138] = "138 +0x0228"$
+$INT_VECTOR_INFO[139] = "139 +0x022C"$
+$INT_VECTOR_INFO[140] = "140 +0x0230 IPRG11-IPRG8"$
+$INT_VECTOR_INFO[141] = "141 +0x0234"$
+$INT_VECTOR_INFO[142] = "142 +0x0238"$
+$INT_VECTOR_INFO[143] = "143 +0x023C"$
+$INT_VECTOR_INFO[144] = "144 +0x0240 IPRG7-IPRG4 "$
+$INT_VECTOR_INFO[145] = "145 +0x0244"$
+$INT_VECTOR_INFO[146] = "146 +0x0248"$
+$INT_VECTOR_INFO[147] = "147 +0x024C"$
+$INT_VECTOR_INFO[148] = "148 +0x0250 IPRG3-IPRG0 "$
+$INT_VECTOR_INFO[149] = "149 +0x0254"$
+$INT_VECTOR_INFO[150] = "150 +0x0258"$
+$INT_VECTOR_INFO[151] = "151 +0x025C"$
+$INT_VECTOR_INFO[152] = "152 +0x0260 IPRH15-IPRH1"$
+$INT_VECTOR_INFO[153] = "153 +0x0264 システム予約"$
+$INT_VECTOR_INFO[154] = "154 +0x0268 システム予約"$
+$INT_VECTOR_INFO[155] = "155 +0x026C システム予約"$
+$INT_VECTOR_INFO[156] = "156 +0x0270 IPRH11-IPRH8"$
+$INT_VECTOR_INFO[157] = "157 +0x0274"$
+$INT_VECTOR_INFO[158] = "158 +0x0278"$
+$INT_VECTOR_INFO[159] = "159 +0x027C"$
+$INT_VECTOR_INFO[160] = "160 +0x0280 システム予約"$
+$INT_VECTOR_INFO[161] = "161 +0x0284 システム予約"$
+$INT_VECTOR_INFO[162] = "162 +0x0288 システム予約"$
+$INT_VECTOR_INFO[163] = "163 +0x028C システム予約"$
+$INT_VECTOR_INFO[164] = "164 +0x0290 システム予約"$
+$INT_VECTOR_INFO[165] = "165 +0x0294 システム予約"$
+$INT_VECTOR_INFO[166] = "166 +0x0298 システム予約"$
+$INT_VECTOR_INFO[167] = "167 +0x029C システム予約"$
+$INT_VECTOR_INFO[168] = "168 +0x02A0 IPRI15-IPRI1"$
+$INT_VECTOR_INFO[169] = "169 +0x02A4 IPRI15-IPRI1"$
+$INT_VECTOR_INFO[170] = "170 +0x02A8 IPRI15-IPRI1"$
+$INT_VECTOR_INFO[171] = "171 +0x02AC IPRI15-IPRI1"$
+$INT_VECTOR_INFO[172] = "172 +0x02B0 IPRI11-IPRI8"$
+$INT_VECTOR_INFO[173] = "173 +0x02B4 IPRI11-IPRI8"$
+$INT_VECTOR_INFO[174] = "174 +0x02B8 IPRI11-IPRI8"$
+$INT_VECTOR_INFO[175] = "175 +0x02BC IPRI11-IPRI8"$
+$INT_VECTOR_INFO[176] = "176 +0x02C0 システム予約"$
+$INT_VECTOR_INFO[177] = "177 +0x02C4 システム予約"$
+$INT_VECTOR_INFO[178] = "178 +0x02C8 システム予約"$
+$INT_VECTOR_INFO[179] = "179 +0x02CC システム予約"$
+$INT_VECTOR_INFO[180] = "180 +0x02D0 システム予約"$
+$INT_VECTOR_INFO[181] = "181 +0x02D4 システム予約"$
+$INT_VECTOR_INFO[182] = "182 +0x02D8 システム予約"$
+$INT_VECTOR_INFO[183] = "183 +0x02DC システム予約"$
+$INT_VECTOR_INFO[184] = "184 +0x02E0 システム予約"$
+$INT_VECTOR_INFO[185] = "185 +0x02E4 システム予約"$
+$INT_VECTOR_INFO[186] = "186 +0x02E8 システム予約"$
+$INT_VECTOR_INFO[187] = "187 +0x02EC システム予約"$
+$INT_VECTOR_INFO[188] = "188 +0x02F0 システム予約"$
+$INT_VECTOR_INFO[189] = "189 +0x02F4 システム予約"$
+$INT_VECTOR_INFO[190] = "190 +0x02F8 システム予約"$
+$INT_VECTOR_INFO[191] = "191 +0x02FC システム予約"$
+$INT_VECTOR_INFO[192] = "192 +0x0300 IPRJ7-IPRJ4 "$
+$INT_VECTOR_INFO[193] = "193 +0x0304"$
+$INT_VECTOR_INFO[194] = "194 +0x0308"$
+$INT_VECTOR_INFO[195] = "195 +0x030C"$
+$INT_VECTOR_INFO[196] = "196 +0x0310 システム予約"$
+$INT_VECTOR_INFO[197] = "197 +0x0314 システム予約"$
+$INT_VECTOR_INFO[198] = "198 +0x0318 システム予約"$
+$INT_VECTOR_INFO[199] = "199 +0x031C システム予約"$
+$INT_VECTOR_INFO[200] = "200 +0x0320 システム予約"$
+$INT_VECTOR_INFO[201] = "201 +0x0324 システム予約"$
+$INT_VECTOR_INFO[202] = "202 +0x0328 システム予約"$
+$INT_VECTOR_INFO[203] = "203 +0x032C システム予約"$
+$INT_VECTOR_INFO[204] = "204 +0x0330 システム予約"$
+$INT_VECTOR_INFO[205] = "205 +0x0334 システム予約"$
+$INT_VECTOR_INFO[206] = "206 +0x0338 システム予約"$
+$INT_VECTOR_INFO[207] = "207 +0x033C システム予約"$
+$INT_VECTOR_INFO[208] = "208 +0x0340 システム予約"$
+$INT_VECTOR_INFO[209] = "209 +0x0344 システム予約"$
+$INT_VECTOR_INFO[210] = "210 +0x0348 システム予約"$
+$INT_VECTOR_INFO[211] = "211 +0x034C システム予約"$
+$INT_VECTOR_INFO[212] = "212 +0x0350 システム予約"$
+$INT_VECTOR_INFO[213] = "213 +0x0354 システム予約"$
+$INT_VECTOR_INFO[214] = "214 +0x0358 システム予約"$
+$INT_VECTOR_INFO[215] = "215 +0x035C システム予約"$
+$INT_VECTOR_INFO[216] = "216 +0x0360 システム予約"$
+$INT_VECTOR_INFO[217] = "217 +0x0364 システム予約"$
+$INT_VECTOR_INFO[218] = "218 +0x0368 システム予約"$
+$INT_VECTOR_INFO[219] = "219 +0x036C システム予約"$
+$INT_VECTOR_INFO[220] = "220 +0x0370 システム予約"$
+$INT_VECTOR_INFO[221] = "221 +0x0374 システム予約"$
+$INT_VECTOR_INFO[222] = "222 +0x0378 システム予約"$
+$INT_VECTOR_INFO[223] = "223 +0x037C システム予約"$
+$INT_VECTOR_INFO[224] = "224 +0x0380 システム予約"$
+$INT_VECTOR_INFO[225] = "225 +0x0384 システム予約"$
+$INT_VECTOR_INFO[226] = "226 +0x0388 システム予約"$
+$INT_VECTOR_INFO[227] = "227 +0x038C システム予約"$
+$INT_VECTOR_INFO[228] = "228 +0x0390 システム予約"$
+$INT_VECTOR_INFO[229] = "229 +0x0394 システム予約"$
+$INT_VECTOR_INFO[230] = "230 +0x0398 システム予約"$
+$INT_VECTOR_INFO[231] = "231 +0x039C システム予約"$
+$INT_VECTOR_INFO[232] = "232 +0x03A0 システム予約"$
+$INT_VECTOR_INFO[233] = "233 +0x03A4 システム予約"$
+$INT_VECTOR_INFO[234] = "234 +0x03A8 システム予約"$
+$INT_VECTOR_INFO[235] = "235 +0x03AC システム予約"$
+$INT_VECTOR_INFO[236] = "236 +0x03B0 システム予約"$
+$INT_VECTOR_INFO[237] = "237 +0x03B4 システム予約"$
+$INT_VECTOR_INFO[238] = "238 +0x03B8 システム予約"$
+$INT_VECTOR_INFO[239] = "239 +0x03BC システム予約"$
+$INT_VECTOR_INFO[240] = "240 +0x03C0 システム予約"$
+$INT_VECTOR_INFO[241] = "241 +0x03C4 システム予約"$
+$INT_VECTOR_INFO[242] = "242 +0x03C8 システム予約"$
+$INT_VECTOR_INFO[243] = "243 +0x03CC システム予約"$
+$INT_VECTOR_INFO[244] = "244 +0x03D0 システム予約"$
+$INT_VECTOR_INFO[245] = "245 +0x03D4 システム予約"$
+$INT_VECTOR_INFO[246] = "246 +0x03D8 システム予約"$
+$INT_VECTOR_INFO[247] = "247 +0x03DC システム予約"$
+$INT_VECTOR_INFO[248] = ""$
+$INT_VECTOR_INFO[249] = ""$
+$INT_VECTOR_INFO[250] = ""$
+$INT_VECTOR_INFO[251] = ""$
+$INT_VECTOR_INFO[252] = ""$
+$INT_VECTOR_INFO[253] = ""$
+$INT_VECTOR_INFO[254] = ""$
+$INT_VECTOR_INFO[255] = ""$
Index: /atk1_sh2/trunk/config/sh2-gnu/cq7144a/target_cfg1_out.h
===================================================================
--- /atk1_sh2/trunk/config/sh2-gnu/cq7144a/target_cfg1_out.h	(revision 6)
+++ /atk1_sh2/trunk/config/sh2-gnu/cq7144a/target_cfg1_out.h	(revision 6)
@@ -0,0 +1,4 @@
+
+#include <stdint.h>
+#include <limits.h>
+
Index: /atk1_sh2/trunk/config/sh2-gnu/kernel_config.tf
===================================================================
--- /atk1_sh2/trunk/config/sh2-gnu/kernel_config.tf	(revision 6)
+++ /atk1_sh2/trunk/config/sh2-gnu/kernel_config.tf	(revision 6)
@@ -0,0 +1,45 @@
+$ 
+$  TOPPERS Automotive Kernel
+$      Toyohashi Open Platform for Embedded Real-Time Systems
+$      Automotive Kernel
+$ 
+$  Copyright (C) 2010 by Meika Sugimoto
+$ 
+$  上記著作権者は，以下の (1)〜(4) の条件か，Free Software Foundation 
+$  によって公表されている GNU General Public License の Version 2 に記
+$  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+$  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+$  利用と呼ぶ）することを無償で許諾する．
+$  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+$      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+$      スコード中に含まれていること．
+$  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+$      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+$      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+$      の無保証規定を掲載すること．
+$  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+$      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+$      と．
+$    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+$        作権表示，この利用条件および下記の無保証規定を掲載すること．
+$    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+$        報告すること．
+$  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+$      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+$ 
+$  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+$  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+$  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+$  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
+$ 
+
+$ 
+$ カーネル設定情報のテンプレートファイル
+$ 
+
+$ 使用可能な割込みレベルのリスト
+$ISR_PRIORITY_LIST = { 0 , 1 , ... , 15 }$
+
+$ 使用可能な割込みエントリのリスト
+$ISR_ENTRY_LIST = { 4 , 5 , ... , 247 }$
+
